Last Comment Bug 763181 - package manifest includes files not compiled causing the installer to fail
: package manifest includes files not compiled causing the installer to fail
Status: RESOLVED FIXED
:
Product: SeaMonkey
Classification: Client Software
Component: Installer (show other bugs)
: Trunk
: x86_64 Linux
: -- normal (vote)
: seamonkey2.13
Assigned To: Andrew Benton
:
Mentors:
: 763408 (view as bug list)
Depends on:
Blocks: 713134
  Show dependency treegraph
 
Reported: 2012-06-09 04:46 PDT by Andrew Benton
Modified: 2012-06-16 10:00 PDT (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
+
fixed
fixed
fixed
fixed


Attachments
Patch to fix the package manifest (2.44 KB, text/plain)
2012-06-09 04:46 PDT, Andrew Benton
no flags Details
same patch against comm-central (2.02 KB, patch)
2012-06-10 12:53 PDT, Andrew Benton
bugspam.Callek: review+
bugspam.Callek: approval‑comm‑aurora+
bugspam.Callek: approval‑comm‑beta+
bugspam.Callek: approval‑comm‑release+
Details | Diff | Review

Description Andrew Benton 2012-06-09 04:46:16 PDT
Created attachment 631653 [details]
Patch to fix the package manifest

User Agent: Mozilla/5.0 (X11; Linux x86_64; rv:15.0) Gecko/15.0 Firefox/15.0a1
Build ID: 20120602100602

Steps to reproduce:

Compiled Seamonkey --with-system-nspr --with-system-nss --enable-system-sqlite and --disable-updater


Actual results:

When I came to cd suite/installer and run make it failed to create a tarball giving these errors:

mailKeysOError: package error or possible missing or unnecessary file: bin/libnspr4.so (package-manifest, 36).
Error: package error or possible missing or unnecessary file: bin/libplc4.so (package-manifest, 37).
Error: package error or possible missing or unnecessary file: bin/libplds4.so (package-manifest, 38).
Error: package error or possible missing or unnecessary file: bin/libmozsqlite3.so (package-manifest, 50).
message-Error: package error or possible missing or unnecessary file: bin/icons/updater.png (package-manifest, 355).
Error: package error or possible missing or unnecessary file: bin/libfreebl3.so (package-manifest, 411).
Error: package error or possible missing or unnecessary file: bin/libnss3.so (package-manifest, 412).
Error: package error or possible missing or unnecessary file: bin/libnssckbi.so (package-manifest, 413).
Error: package error or possible missing or unnecessary file: bin/libnssdbm3.so (package-manifest, 414).
Error: package error or possible missing or unnecessary file: bin/libnssutil3.so (package-manifest, 415).
Error: package error or possible missing or unnecessary file: bin/libsmime3.so (package-manifest, 416).
Error: package error or possible missing or unnecessary file: bin/libsoftokn3.so (package-manifest, 417).
Error: package error or possible missing or unnecessary file: bin/libssl3.so (package-manifest, 418).


Expected results:

It should have made a Seamonkey tarball
Comment 1 Philip Chee 2012-06-10 04:52:17 PDT
comm-release only accepts security or stability fixes. Please rebase your patch against trunk. Also I don't see the Firefox packager script having any special ifdefs for these. Possibly because we recently made packager errors fatal, does Firefox also do this?
Comment 2 Andrew Benton 2012-06-10 12:53:55 PDT
Created attachment 631762 [details] [diff] [review]
same patch against comm-central

(In reply to Philip Chee from comment #1)
> comm-release only accepts security or stability fixes. Please rebase your
> patch against trunk. Also I don't see the Firefox packager script having any
> special ifdefs for these. Possibly because we recently made packager errors
> fatal, does Firefox also do this?

No, the same bug exists in mozilla-central. I did submit a patch to fix the firefox installer when --enable-system-sqlite is used but no one resopnded so I didn't bother adding the nss and nspr portions. https://bugzilla.mozilla.org/show_bug.cgi?id=752895 I'll do that now
Comment 3 Justin Wood (:Callek) 2012-06-10 13:28:51 PDT
(In reply to Philip Chee from comment #1)
> comm-release only accepts security or stability fixes.

Fwiw for a patch like this that is not affecting our default ship-state I would normally be willing to accept (to make our linux distro maintainers lives easier).

That said, Andrew I'm going to defer on the Firefox review before I/Others grab this, please request review from me or :sgautherie once that bug passes.
Comment 4 Philip Chee 2012-06-11 05:04:17 PDT
> I did submit a patch to fix the firefox installer
> when --enable-system-sqlite is used but no one responded
You need to flag your patch for review *and* make sure you fill in the reviewee field so someone will get bugmail. Otherwise nobody will notice your patch.
Comment 5 Philip Chee 2012-06-11 05:08:51 PDT
*** Bug 763408 has been marked as a duplicate of this bug. ***
Comment 6 Andrew Benton 2012-06-11 09:15:29 PDT
Comment on attachment 631762 [details] [diff] [review]
same patch against comm-central

It seems Mike Hommey has accepted the patch to Mozilla central (bug 752895)
Comment 7 Justin Wood (:Callek) 2012-06-11 18:44:51 PDT
Comment on attachment 631762 [details] [diff] [review]
same patch against comm-central

Review of attachment 631762 [details] [diff] [review]:
-----------------------------------------------------------------

approving for all branches, -- might need trivial bitrot fixups for non-trunk.
Comment 8 Philip Chee 2012-06-13 11:34:10 PDT
Andrew, do you have checkin rights to the comm-* trees?
Comment 9 Andrew Benton 2012-06-13 15:20:51 PDT
(In reply to Philip Chee from comment #8)
> Andrew, do you have checkin rights to the comm-* trees?

No
Comment 10 Justin Wood (:Callek) 2012-06-15 03:03:56 PDT
pushed directly to comm-release for our 2.10.1 build

http://hg.mozilla.org/releases/comm-release/rev/678cc53d0d42

Still needs checkin on all other branches.
Comment 11 Philip Chee 2012-06-16 10:00:23 PDT
> Still needs checkin on all other branches.
Pushed to all the other branches:
http://hg.mozilla.org/comm-central/rev/ce1107df35eb
http://hg.mozilla.org/releases/comm-aurora/rev/30ceab95f435
http://hg.mozilla.org/releases/comm-beta/rev/0f9abbfdb5a6

Thank you Andrew Benton!

Note You need to log in before you can comment on or make changes to this bug.